# /etc/httpd/conf.d/10-www.unixbox.fr-ssl.conf

# http://www.unixbox.fr -> https://www.unixbox.fr
<VirtualHost *:80>
  ServerName www.unixbox.fr
  ServerAlias unixbox.fr
  Redirect / https://www.unixbox.fr
</VirtualHost>

# https://www.unixbox.fr
<VirtualHost _default_:443>
  ServerAdmin info@microlinux.fr
  DocumentRoot "/var/www/unixbox-site/html"
  ServerName www.unixbox.fr:443
  ServerAlias unixbox.fr
  SSLEngine on
  SSLCertificateFile /etc/letsencrypt/live/sd-155842.dedibox.fr/cert.pem
  SSLCertificateKeyFile /etc/letsencrypt/live/sd-155842.dedibox.fr/privkey.pem
  SSLCertificateChainFile /etc/letsencrypt/live/sd-155842.dedibox.fr/fullchain.pem
  BrowserMatch "MSIE [2-5]" \
    nokeepalive ssl-unclean-shutdown \
    downgrade-1.0 force-response-1.0
  ErrorLog logs/www.unixbox.fr-error_log
  CustomLog logs/www.unixbox.fr-access_log common
</VirtualHost>
